org.wso2.carbon.dataservices.ui.beans

## Class Config

- java.lang.Object
- - org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement
  - - org.wso2.carbon.dataservices.ui.beans.Config

-     public class Config
      extends DataServiceConfigurationElement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Config()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProperty(Property property)`
    `void` | `addProperty(String name, Object value)`
    `org.apache.axiom.om.OMElement` | `buildXML()` Generates XML representation of Object
    `String` | `getDataSourceType()`
    `String` | `getId()`
    `ArrayList<Property>` | `getProperties()`
    `Object` | `getPropertyValue(String propertyName)`
    `boolean` | `isExposeAsODataService()`
    `boolean` | `isUseSecretAliasForPassword()`
    `void` | `removeProperty(Property propertyName)`
    `void` | `removeProperty(String propertyName)`
    `void` | `setExposeAsOData(boolean value)`
    `void` | `setId(String id)`
    `void` | `setProperties(ArrayList<Property> properties)`
    `void` | `setUseSecretAliasForPassword(boolean useSecretAliasForPassword)`
    `void` | `updateProperty(String name, Object value)`
    `void` | `updatePropertyName(String name, String value)`

    - ### Methods inherited from class org.wso2.carbon.dataservices.ui.beans.DataServiceConfigurationElement

      `extractAdvancedProps, getRequiredRoles, getXsdType, setRequiredRoles, setxsdType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Config

          public Config()

  - ### Method Detail

    - #### getProperties

          public ArrayList<Property> getProperties()

    - #### setProperties

          public void setProperties(ArrayList<Property> properties)

    - #### addProperty

          public void addProperty(Property property)

    - #### addProperty

          public void addProperty(String name,
                                  Object value)

    - #### removeProperty

          public void removeProperty(Property propertyName)

    - #### removeProperty

          public void removeProperty(String propertyName)

    - #### updateProperty

          public void updateProperty(String name,
                                     Object value)

    - #### updatePropertyName

          public void updatePropertyName(String name,
                                         String value)

    - #### getPropertyValue

          public Object getPropertyValue(String propertyName)

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### isExposeAsODataService

          public boolean isExposeAsODataService()

    - #### setExposeAsOData

          public void setExposeAsOData(boolean value)

    - #### isUseSecretAliasForPassword

          public boolean isUseSecretAliasForPassword()

    - #### setUseSecretAliasForPassword

          public void setUseSecretAliasForPassword(boolean useSecretAliasForPassword)

    - #### getDataSourceType

          public String getDataSourceType()

    - #### buildXML

          public org.apache.axiom.om.OMElement buildXML()

      Description copied from class: `DataServiceConfigurationElement`
      Generates XML representation of Object
      Specified by:
        `buildXML` in class `DataServiceConfigurationElement`
      Returns:
        OMElement

Copyright © 2019 WSO2. All rights reserved.